Deployments
All operations require authentication, except the 4 marked Public.
Install an operating systemProduction
Installs an operating system on the server and returns the installation task. operatingSystem must be one of the names returned by GET /dedicated/server/{serviceName}/install/compatibleTemplates. By default, all disks of the disk group are erased.
Path parameters
The internal name of your dedicated server
Request body (required)
OS reinstallation customizations
Operating System name to install (available values for this server can be retrieved using GET /dedicated/server/{serviceName}/install/compatibleTemplates)
(⚠ Deprecated parameter ⚠, use configDriveMetadata customization instead) Arbitrary properties to pass to cloud-init's config drive datasource
Response
Details of this task
Task Completion date
Task operation type
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeleteTask Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask id
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ reinstall \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "taskId": 0}
List compatible partitioning schemesProduction
List compatible partitioning schemes. Returns the names of the partitioning schemes of the installation template given in templateName that are compatible with the server.
Path parameters
The internal name of your dedicated server
Query parameters
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ install/ compatibleTemplatePartitionSchemes \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List compatible installation templatesProduction
List compatible installation templates. Returns the names of the installation templates compatible with the server, in the ovh list. Use one of them as operatingSystem to reinstall the server.
Path parameters
The internal name of your dedicated server
Response
Names list of ovh installationtemplates compatibles with this server
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ install/ compatibleTemplates \
-H "authorization: Bearer $OVH_TOKEN"{ "ovh": [ "string" ]}
Get the hardware RAID profileProduction
Get the hardware RAID profile. Returns the hardware RAID controllers of the server, with their type, model and connected disks.
Path parameters
The internal name of your dedicated server
Response
Hardware RAID controller list
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ install/ hardwareRaidProfile \
-H "authorization: Bearer $OVH_TOKEN"{ "controllers": [ { "disks": [ { "capacity": { "unit": "string", "value": 0 }, "diskGroupId": 0, "names": [ "string" ], "speed": { "unit": "string", "value": "string" }, "type": "NVMe" } ], "model": "string", "type": "string" } ]}
Get the installation statusProduction
Get the installation status. Returns the progress of the operating system installation on the server: the elapsed time in seconds and the status of each step. When no installation is in progress, the call returns an error.
Path parameters
The internal name of your dedicated server
Response
Elapsed time in seconds since installation beggining
Installation steps
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ install/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "elapsedTime": 0, "progress": [ { "comment": "string", "error": "string", "status": "doing" } ]}
List compatible netbootsProduction
List compatible netboots. Returns the identifiers of the netboots compatible with the server. Filter them by boot type (harddisk, network, rescue, internal or power) with the bootType parameter.
Path parameters
The internal name of your dedicated server
Query parameters
Filter the value of bootType property (=)
harddiskinternalnetworkpowerrescueResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ boot \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a netbootProduction
Get a netboot. Returns a netboot compatible with the server: its boot type, its kernel and its description.
Path parameters
boot id
The internal name of your dedicated server
Response
boot id
the boot system
harddiskinternalnetworkpowerrescuethe boot description
The boot kernel
Example uses bootId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ boot/ {bootId} \
-H "authorization: Bearer $OVH_TOKEN"{ "bootId": 0, "bootType": "harddisk", "description": "string", "kernel": "string"}
List netboot optionsProduction
List netboot options. Returns the options activated on the netboot, among cpufamily, grsec, ipv6 and smp.
Path parameters
boot id
The internal name of your dedicated server
Response
Example uses bootId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ boot/ {bootId}/ option \
-H "authorization: Bearer $OVH_TOKEN"[ "cpufamily"]
Get a netboot optionProduction
Get a netboot option. Returns the value of an option activated on the netboot. The option is one of cpufamily, grsec, ipv6 or smp.
Path parameters
boot id
The option of this boot
cpufamilygrsecipv6smpThe internal name of your dedicated server
Response
The option of this boot
cpufamilygrsecipv6smpthe value of this option
Example uses bootId = 0, option = cpufamily, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ boot/ {bootId}/ option/ {option} \
-H "authorization: Bearer $OVH_TOKEN"{ "option": "cpufamily", "value": "string"}
Reboot the serverProduction
Reboot the server. Performs a hard reboot of the server: the power is cycled without a clean shutdown of the operating system. Returns the reboot task, with its status and completion date.
Path parameters
The internal name of your dedicated server
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ reboot \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
List operating systems by hardwareProductionPublic
Returns the names of the operating systems available for the hardware reference given in the hardware parameter. This call does not require authentication.
Query parameters
Hardware reference requested
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ osAvailabilities[ "string"]
List installation templatesProductionPublic
List installation templates. Returns the names of the operating system installation templates. This call does not require authentication. To get the templates compatible with a server, use GET /dedicated/server/{serviceName}/install/compatibleTemplates.
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate[ "string"]
List installation template detailsProductionPublic
List installation template details. Returns the details of the available operating system templates: name, category, family, subfamily, end of install date, project and license. This call does not require authentication.
Response
OS Category (also called OS usage)
backupbasiccustomerdatabaseerphostingmanagementotherreadyToUsevirtualisationvirtualizationOS long name
OS template end of install at OVH date
OS family (also called OS type)
bsdcustomibmlinuxsolarisunixwindowsOS template license details
OS template project details
OS subfamily
almaaosarchbyoibyolinuxcentoscloudlinuxcoreosdebiandgxesxifedorafreebsdgentoohypervomniosopenioopenmediavaultopensuseovhpcspowerproxmoxrhelrockyslackwaresles-sapsmartossolusvmubuntuwindows-server-corewindows-server-desktop-expxcpxenOS template name
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ templateInfos[ { "category": "backup", "description": "string", "endOfInstall": "2024-01-01", "family": "bsd", "license": { "os": { "name": [ "0BSD" ], "url": "string" }, "usage": { "name": [ "0BSD" ], "url": "string" } }, "project": { "os": { "governance": [ "string" ], "name": "string", "releaseNotes": "string", "url": "string", "version": "string" }, "usage": { "governance": [ "string" ], "name": "string", "releaseNotes": "string", "url": "string", "version": "string" } }, "subfamily": "alma", "templateName": "string" }]
Get an installation templateProductionPublic
Get an installation template. Returns the details of an installation template, such as its distribution, family, filesystems and inputs. After its endOfInstall date, the template can no longer be installed. This call does not require authentication.
Path parameters
This template name
Response
this template bit format
3264category of this template (informative only)
backupbasiccustomerdatabaseerphostingmanagementotherreadyToUsevirtualisationvirtualizationinformation about this template
the distribution this template is based on
after this date, install of this template will not be possible at OVH
this template family type
bsdcustomibmlinuxsolarisunixwindowslist of all filesystems available for this template
btrfsext3ext4fat16nonentfsreiserfsswapufsvmfs5vmfs6vmfslxfszfsInputs
This distribution licensing details
This distribution supports Logical Volumes (Linux LVM)
Partitioning customization is not available for this OS template
This distribution project details
The mandatory mount point of the root filesystem on this OS
Partitioning customization is available but limited to mirroring for this OS template
this template subfamily type
almaaosarchbyoibyolinuxcentoscloudlinuxcoreosdebiandgxesxifedorafreebsdgentoohypervomniosopenioopenmediavaultopensuseovhpcspowerproxmoxrhelrockyslackwaresles-sapsmartossolusvmubuntuwindows-server-corewindows-server-desktop-expxcpxenThis template name
Example uses templateName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ {templateName}{ "bitFormat": 32, "category": "backup", "description": "string", "distribution": "string", "endOfInstall": "2024-01-01", "family": "bsd", "filesystems": [ "btrfs" ], "inputs": [ { "default": "string", "description": "string", "enum": [ "string" ], "mandatory": true, "name": "string", "type": "boolean" } ], "license": { "os": { "name": [ "0BSD" ], "url": "string" }, "usage": { "name": [ "0BSD" ], "url": "string" } }, "lvmReady": true, "noPartitioning": true, "project": { "os": { "governance": [ "string" ], "name": "string", "releaseNotes": "string", "url": "string", "version": "string" }, "usage": { "governance": [ "string" ], "name": "string", "releaseNotes": "string", "url": "string", "version": "string" } }, "rootMountpoint": "string", "softRaidOnlyMirroring": true, "subfamily": "alma", "templateName": "string"}
List partitioning schemesProduction
List partitioning schemes. Returns the names of the partitioning schemes of the template. On a reinstall without a partitioning scheme, the compatible scheme with the highest priority is used.
Path parameters
This template name
Response
Example uses templateName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ {templateName}/ partitionScheme \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a partitioning schemeProduction
Get a partitioning scheme. Returns the name and priority of a partitioning scheme. On a reinstall without a partitioning scheme, the compatible scheme with the highest priority is used.
Path parameters
This partitioning scheme name
This template name
Response
This partitioning scheme name
on a reinstall, if a partitioning scheme is not specified, the one with the higher priority will be used by default, among all the compatible partitioning schemes (given the underlying hardware specifications)
Example uses schemeName = string, templateName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ {templateName}/ partitionScheme/ {schemeName} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "priority": 0}
List hardware RAIDsProduction
List hardware RAIDs. Returns the names of the hardware RAIDs defined in the partitioning scheme. Each one has a RAID mode, a disk list and a creation order.
Path parameters
This partitioning scheme name
This template name
Response
Example uses schemeName = string, templateName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ {templateName}/ partitionScheme/ {schemeName}/ hardwareRaid \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a hardware RAIDProduction
Get a hardware RAID. Returns the RAID mode, the disks and the creation order of a hardware RAID defined in the partitioning scheme.
Path parameters
Hardware RAID name
This partitioning scheme name
This template name
Response
Disk list
RAID mode
raid0raid1raid10raid5raid50raid6raid60Hardware RAID name
Specifies the creation order of the hardware RAID
Example uses name = string, schemeName = string, templateName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ {templateName}/ partitionScheme/ {schemeName}/ hardwareRaid/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "disks": [ "string" ], "mode": "raid0", "name": "string", "step": 0}
List partitionsProduction
List partitions. Returns the mount points of the partitions defined in the partitioning scheme. Each partition has a filesystem, a type, a size and a creation order on the disk.
Path parameters
This partitioning scheme name
This template name
Response
Example uses schemeName = string, templateName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ {templateName}/ partitionScheme/ {schemeName}/ partition \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a partitionProduction
Get a partition. Returns the filesystem, type, size, RAID level and creation order of a partition of the partitioning scheme. A size of 0 means the rest of the disk space.
Path parameters
Partition mount point
This partitioning scheme name
This template name
Response
Partition filesytem
btrfsext3ext4fat16nonentfsreiserfsswapufsvmfs5vmfs6vmfslxfszfsPartition mount point
specifies the creation order of the partition on the disk
Partition raid
0110567Partition size (unit: MB GB TB, MB by default), 0 => rest of the space
Partition type
logicallvprimaryLogical volume name (required if type is lv) or optional zpool name if filesystem is ZFS
Example uses mountpoint = string, schemeName = string, templateName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ installationTemplate/ {templateName}/ partitionScheme/ {schemeName}/ partition/ {mountpoint} \
-H "authorization: Bearer $OVH_TOKEN"{ "filesystem": "btrfs", "mountpoint": "string", "order": 0, "raid": "0", "size": { "unit": "string", "value": 0 }, "type": "logical", "volumeName": "string"}